classification
Title: Generator object should be mentioned in gc module document
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, iritkatriel, ishimoto, pitrou
Priority: normal Keywords:

Created on 2011-02-27 15:03 by ishimoto, last changed 2020-11-06 08:20 by methane. This issue is now closed.

Messages (3)
msg129631 - (view) Author: Atsuo Ishimoto (ishimoto) * Date: 2011-02-27 15:03
In the gc.garbage of the library ref of gc module, 
  
  ... this list contains only objects with __del__() methods.

This is not true, since gc.garbage will contain generator object with try-finally block.
msg129668 - (view) Author: Atsuo Ishimoto (ishimoto) * Date: 2011-02-27 23:28
Oh, Not only try-finally block, generators contains try-except or with block will be added to gc.garbage.
msg380387 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-11-05 00:59
This section is very different now: https://docs.python.org/3/library/gc.html#gc.garbage

Should this be closed as out of date?
History
Date User Action Args
2020-11-06 08:20:48methanesetstatus: open -> closed
resolution: out of date
stage: needs patch -> resolved
2020-11-05 00:59:18iritkatrielsetnosy: + iritkatriel
messages: + msg380387
2013-01-06 05:29:26ezio.melottisetnosy: + pitrou
stage: needs patch
type: enhancement

versions: + Python 2.7, Python 3.2, Python 3.3, Python 3.4
2011-02-27 23:28:44ishimotosetnosy: ishimoto, docs@python
messages: + msg129668
2011-02-27 15:03:12ishimotocreate